petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscFVComputeGradient

Compute the gradient reconstruction matrix for a given cell

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVComputeGradient(PetscFV fvm, PetscInt numFaces, PetscScalar dx[], PetscScalar grad[])

### Input Parameters

| fvm | - The PetscFV object
| numFaces | - The number of cell faces which are not constrained
| dx | - The vector from the cell centroid to the neighboring cell centroid for each face

### See Also

PetscFVCreate()

Level:developer
Location:src/dm/dt/interface/dtfv.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages